Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.jdbc
Interface ConnectionPool

All Known Implementing Classes:
  ConfigurableConnectionPool, NonPoolingConnectionPool

public interface ConnectionPool

Connection pooling services must implement this interface.

Method Summary
`void` | `close()` Free the resources used by this pool.
`java.sql.Connection` | `getConnection(com.solarmetric.rd.jdbc.ConnectionRequestInfo cri)` Return a connection matching the given request info.
`com.solarmetric.rd.jdbc.DataSourceImpl` | `getDataSource()` Return the data source set with `setDataSource(com.solarmetric.rd.jdbc.DataSourceImpl)`.
`void` | `returnConnection(java.sql.Connection conn)` Connections can use this method to return themselves on close.
`void` | `setDataSource(com.solarmetric.rd.jdbc.DataSourceImpl ds)` This method will be called before the pool is used.

Method Detail

### setDataSource

    public void setDataSource(com.solarmetric.rd.jdbc.DataSourceImpl ds)

  This method will be called before the pool is used.

### getDataSource

    public com.solarmetric.rd.jdbc.DataSourceImpl getDataSource()

  Return the data source set with `setDataSource(com.solarmetric.rd.jdbc.DataSourceImpl)`.

### getConnection

    public java.sql.Connection getConnection(com.solarmetric.rd.jdbc.ConnectionRequestInfo cri)
                                      throws java.sql.SQLException

  Return a connection matching the given request info.

    `java.sql.SQLException`

### returnConnection

    public void returnConnection(java.sql.Connection conn)

  Connections can use this method to return themselves on close.

### close

    public void close()

  Free the resources used by this pool.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.